(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core')) :
    typeof define === 'function' && define.amd ? define('input-react-lable', ['exports', '@angular/common', '@angular/core'], factory) :
    (factory((global['input-react-lable'] = {}),global.ng.common,global.ng.core));
}(this, (function (exports,common,core) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,uselessCode} checked by tsc
     */
    var ReactiveInputComponent = (function () {
        function ReactiveInputComponent() {
            this.placeHolder = 'last Name';
            this.value = new core.EventEmitter();
        }
        /**
         * @return {?}
         */
        ReactiveInputComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.variable = this.placeHolder;
            };
        /**
         * @param {?} value
         * @return {?}
         */
        ReactiveInputComponent.prototype.changePlaceholder = /**
         * @param {?} value
         * @return {?}
         */
            function (value) {
                this.lable = this.placeHolder;
                this.variable = '';
            };
        /**
         * @param {?} value
         * @return {?}
         */
        ReactiveInputComponent.prototype.resetPlaceholder = /**
         * @param {?} value
         * @return {?}
         */
            function (value) {
                if (!value) {
                    this.variable = this.placeHolder;
                    this.lable = '';
                    return;
                }
                this.value.emit(value);
            };
        ReactiveInputComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'app-reactive-input',
                        template: "<div class=\"input-wrapper\">\n  <div class=\"label\">{{ lable }}</div>\n  <input #input (blur)=\"resetPlaceholder(input.value)\" (click)=\"changePlaceholder(input.value)\" type=\"text\" placeholder=\"{{variable}}\">\n</div>\n",
                        styles: [".input-wrapper{display:flex;flex-flow:column;width:200px}.label{position:relative;font-size:.5em;width:100%;height:10px;z-index:2;top:2px;color:gray}input{width:100%;border-top:none;border-left:none;border-right:none;outline:0}"]
                    }] }
        ];
        /** @nocollapse */
        ReactiveInputComponent.ctorParameters = function () { return []; };
        ReactiveInputComponent.propDecorators = {
            placeHolder: [{ type: core.Input }],
            value: [{ type: core.Output }]
        };
        return ReactiveInputComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,uselessCode} checked by tsc
     */
    var ReactiveInputModule = (function () {
        function ReactiveInputModule() {
        }
        ReactiveInputModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            common.CommonModule
                        ],
                        declarations: [ReactiveInputComponent],
                        exports: [ReactiveInputComponent]
                    },] }
        ];
        return ReactiveInputModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,uselessCode} checked by tsc
     */

    exports.ReactiveInputModule = ReactiveInputModule;
    exports.ɵa = ReactiveInputComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));

//# sourceMappingURL=input-react-lable.umd.js.map