import { CommonModule } from '@angular/common';
import { Component, Input, Output, EventEmitter, NgModule } from '@angular/core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,uselessCode} checked by tsc
 */
class ReactiveInputComponent {
    constructor() {
        this.placeHolder = 'last Name';
        this.value = new EventEmitter();
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.variable = this.placeHolder;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    changePlaceholder(value) {
        this.lable = this.placeHolder;
        this.variable = '';
    }
    /**
     * @param {?} value
     * @return {?}
     */
    resetPlaceholder(value) {
        if (!value) {
            this.variable = this.placeHolder;
            this.lable = '';
            return;
        }
        this.value.emit(value);
    }
}
ReactiveInputComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-reactive-input',
                template: "<div class=\"input-wrapper\">\n  <div class=\"label\">{{ lable }}</div>\n  <input #input (blur)=\"resetPlaceholder(input.value)\" (click)=\"changePlaceholder(input.value)\" type=\"text\" placeholder=\"{{variable}}\">\n</div>\n",
                styles: [".input-wrapper{display:flex;flex-flow:column;width:200px}.label{position:relative;font-size:.5em;width:100%;height:10px;z-index:2;top:2px;color:gray}input{width:100%;border-top:none;border-left:none;border-right:none;outline:0}"]
            }] }
];
/** @nocollapse */
ReactiveInputComponent.ctorParameters = () => [];
ReactiveInputComponent.propDecorators = {
    placeHolder: [{ type: Input }],
    value: [{ type: Output }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,uselessCode} checked by tsc
 */
class ReactiveInputModule {
}
ReactiveInputModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule
                ],
                declarations: [ReactiveInputComponent],
                exports: [ReactiveInputComponent]
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,uselessCode} checked by tsc
 */

export { ReactiveInputModule, ReactiveInputComponent as ɵa };

//# sourceMappingURL=input-react-lable.js.map